from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from . import views
from .views import DatingPartnerLoginView

app_name = 'dating_app'

urlpatterns = [
    path('', views.home_dating, name='home_dating'),
    path('about-ensolanka/', views.about_us_date, name='about_us_date'),
    path('terms-and-conditions/', views.terms_page, name='terms_page'),
    path('faq/', views.faq_page, name='faq_page'),
    path('privacy-policy/', views.privacy_policy_page, name='privacy_policy_page'),
    path(
        'refund-and-payment-policy/',
        views.refund_payment_policy_page,
        name='refund_payment_policy_page'
    ),
    path(
        'cookie-policy/',
        views.cookie_policy_page,
        name='cookie_policy_page'
    ),
    path(
        'disclaimer/',
        views.disclaimer_page,
        name='disclaimer_page'
    ),
    path('contact/', views.contact_page, name='contact_page'),
    path('success/', views.success_page, name='success_page'),
    path('password-reset/', views.DatingPasswordResetView.as_view(), name='dating_password_reset'),
    path('password-reset/done/', views.DatingPasswordResetDoneView.as_view(), name='dating_password_reset_done'),
    path('reset/<uidb64>/<token>/', views.DatingPasswordResetConfirmView.as_view(), name='dating_password_reset_confirm'),
    path('reset/done/', views.DatingPasswordResetCompleteView.as_view(), name='dating_password_reset_complete'),
    #path('services/dating', views.dating_home, name='dating_home'),
    path('foreigners/dating/', views.foreigners_home, name='foreigners_home'),
    path('register/', views.partner_register, name='partner_register'),
    path('login/', DatingPartnerLoginView.as_view(), name='dating_partner_login'),
    path('dashboard/', views.dating_partner_dashboard, name='dating_partner_dashboard'),
    path('profile/', views.dating_partner_profile_page, name='dating_partner_profile_page'),
    path('register/success/', views.partner_registration_success, name='partner_registration_success'),
    path('profiles/', views.public_partner_list, name='public_partner_list'),
    path('profiles/<int:pk>/', views.public_partner_detail, name='public_partner_detail'),

    path('profile/photos/upload/', views.upload_dating_partner_additional_photo, name='upload_dating_partner_additional_photo'),
    path('profile/photos/<int:photo_id>/delete/', views.delete_dating_partner_additional_photo, name='delete_dating_partner_additional_photo'),

    path('profile/edit/', views.edit_dating_partner_profile, name='edit_dating_partner_profile'),
    path('profile/upload-image/', views.upload_dating_profile_image, name='upload_dating_profile_image'),
    path('profile/change-username/', views.change_dating_partner_username, name='change_dating_partner_username'),
    path('profile/change-password/', views.change_dating_partner_password, name='change_dating_partner_password'),
    path('partners/<int:pk>/express-interest/', views.express_dating_interest, name='express_dating_interest'),
    path(
        'dating-profile/<int:pk>/withdraw-interest/',
        views.withdraw_dating_interest,
        name='withdraw_dating_interest'
    ),
    path(
        'dashboard/interested-foreigners/',
        views.interested_foreigners_list,
        name='interested_foreigners_list'
    ),
    path('dating/payment-center/', views.dating_partner_payment_center, name='dating_partner_payment_center'),
    path('dating/payment-checkout/', views.dating_partner_payment_checkout, name='dating_partner_payment_checkout'),
    path('dating/payment-checkout/pay/', views.dating_partner_payment_checkout_pay, name='dating_partner_payment_checkout_pay'),
    path('dating/start-stripe/', views.start_dating_partner_stripe_checkout, name='start_dating_partner_stripe_checkout'),
    path('dating/start-paypal/', views.start_dating_partner_paypal_checkout, name='start_dating_partner_paypal_checkout'),
    
    path(
        'partner/stripe-payment-success/<int:transaction_id>/',
        views.dating_partner_stripe_payment_success,
        name='dating_partner_stripe_payment_success'
    ),

    path(
        'partner/payment-success/<int:transaction_id>/',
        views.dating_partner_payment_success,
        name='dating_partner_payment_success'
    ),

    path(
        'partner/payment-cancelled/<int:transaction_id>/',
        views.dating_partner_payment_cancelled,
        name='dating_partner_payment_cancelled'
    ),

    path(
        'partner/payment-failed/<int:transaction_id>/',
        views.dating_partner_payment_failed,
        name='dating_partner_payment_failed'
    ),

    path(
        'partner/start-paypal/',
        views.start_dating_partner_paypal_checkout,
        name='start_dating_partner_paypal_checkout'
    ),

    path(
        'partner/paypal-payment-success/<int:transaction_id>/',
        views.dating_partner_paypal_payment_success,
        name='dating_partner_paypal_payment_success'
    ),

    #wallet top up
    path(
        'wallet/top-up/',
        views.dating_partner_wallet_topup,
        name='dating_partner_wallet_topup'
    ),

    path(
        'wallet/topup/start-stripe/',
        views.start_dating_partner_wallet_topup_stripe_checkout,
        name='start_dating_partner_wallet_topup_stripe_checkout'
    ),

    path(
        'wallet/topup/start-paypal/',
        views.start_dating_partner_wallet_topup_paypal_checkout,
        name='start_dating_partner_wallet_topup_paypal_checkout'
    ),

    path(
        'wallet-topup/stripe-success/<int:transaction_id>/',
        views.dating_partner_wallet_topup_stripe_success,
        name='dating_partner_wallet_topup_stripe_success'
    ),

    path(
        'wallet-topup/paypal-success/<int:transaction_id>/',
        views.dating_partner_wallet_topup_paypal_success,
        name='dating_partner_wallet_topup_paypal_success'
    ),

    path(
        'wallet-topup/cancelled/<int:transaction_id>/',
        views.dating_partner_wallet_topup_cancelled,
        name='dating_partner_wallet_topup_cancelled'
    ),

    path(
        'wallet-topup/failed/<int:transaction_id>/',
        views.dating_partner_wallet_topup_failed,
        name='dating_partner_wallet_topup_failed'
    ),
    
    path('foreigners/list/', views.public_foreigners_list, name='public_foreigners_list'),
    path('foreigners/<int:pk>/', views.public_foreigner_detail, name='public_foreigner_detail'),
    path(
        'information-center/',
        views.dating_partner_information_center,
        name='dating_partner_information_center'
    ),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)